다음을 통해 공유


Mosaics Wmts Mosaics Tile Matrix Sets - Get Capabilities Xml

Wmts Tilematrixsetid As 경로
OGC WMTS 엔드포인트.

GET https:///data/mosaic/{searchId}/{tileMatrixSetId}/WMTSCapabilities.xml?api-version=2025-04-30-preview
GET https:///data/mosaic/{searchId}/{tileMatrixSetId}/WMTSCapabilities.xml?api-version=2025-04-30-preview&assets={assets}&expression={expression}&asset_bidx={asset_bidx}&asset_as_band={asset_as_band}&nodata={nodata}&unscale={unscale}&algorithm={algorithm}&algorithm_params={algorithm_params}&tile_format={tile_format}&tile_scale={tile_scale}&minzoom={minzoom}&maxzoom={maxzoom}&buffer={buffer}&color_formula={color_formula}&resampling={resampling}&rescale={rescale}&colormap_name={colormap_name}&colormap={colormap}&return_mask={return_mask}

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
searchId
path True

string

maxLength: 500
pattern: .*

검색 ID(pgSTAC 검색 해시)

tileMatrixSetId
path True

string

maxLength: 500
pattern: .*

지원되는 TileMatrixSetId 중 하나를 선택하는 식별자입니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

algorithm
query

TerrainAlgorithm

지형 알고리즘 이름

algorithm_params
query

string

지형 알고리즘 매개변수

asset_as_band
query

boolean

밴드로서의 자산

asset_bidx
query

string

자산 밴드 인덱스(코마 분리 인덱스, 예: "image|1, 2, 3"는 "image"라는 자산에서 밴드 1, 2, 3을 사용한다는 의미)

assets
query

string[]

자산의 이름들.

buffer
query

string

주어진 타일의 양쪽에 완충 장치를 설치하세요. 반드시 의 0.5배수여야 합니다. 출력 타일 크기 는 (예: 0.5 = 257x257, 1.0 = 258x258)로 tilesize + 2 * buffer 확장됩니다.

color_formula
query

string

리오 컬러 포뮬러 (정보: https://github.com/mapbox/rio-color)

colormap
query

string

JSON 인코딩된 커스텀 컬러맵

colormap_name
query

ColorMapNames

컬러맵 이름

expression
query

string

자산 간 밴드 수학 표현

maxzoom
query

integer (int32)

기본 maxzoom을 덮어씁니다.

minzoom
query

integer (int32)

기본 minzoom을 덮어씁니다.

nodata
query

number (float)

내부 Nodata 값을 덮어쓰기

resampling
query

Resampling

재샘플링 방법.

rescale
query

string[]

쉼표(',')는 최소/최대 범위를 구분합니다. 여러 밴드에 대해 여러 번 시간을 설정할 수 있습니다.

return_mask
query

boolean

출력 데이터에 마스크를 추가하세요.

tile_format
query

TilerImageFormat

출력 이미지 유형. 기본값은 png입니다.

tile_scale
query

integer (int32)

출력 크기에 영향을 주는 타일 배율 인수입니다. 값 > 1은 더 큰 타일을 생성합니다(예: 1=256x256, 2=512x512).

unscale
query

boolean

내부 스케일 또는 오프셋 적용

응답

Name 형식 Description
200 OK

file

성공적인 응답

Media Types: "application/xml", "application/json"

Other Status Codes

Azure.Core.Foundations.ErrorResponse

예기치 않은 오류 응답입니다.

Media Types: "application/xml", "application/json"

헤더

x-ms-error-code: string

보안

OAuth2Auth

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
https://geocatalog.spatio.azure.com/.default

예제

MosaicsWmtsMosaicsTileMatrixSets_GetCapabilitiesXml

샘플 요청

GET https:///data/mosaic/ba13fc7947b9b585690d84ee61aaa653/WebMercatorQuad/WMTSCapabilities.xml?api-version=2025-04-30-preview&assets=image&asset_bidx=image|1,2,3&tile_format=png&tile_scale=1&minzoom=7&maxzoom=13

샘플 응답

"<Capabilities xmlns=\"http://www.opengis.net/wmts/1.0\" xmlns:ows=\"http://www.opengis.net/ows/1.1\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:gml=\"http://www.opengis.net/gml\" xsi:schemaLocation=\"http://www.opengis.net/wmts/1.0 http://schemas.opengis.net/wmts/1.0/wmtsGetCapabilities_response.xsd\" version=\"1.0.0\">\n    <ows:ServiceIdentification>\n        <ows:Title></ows:Title>\n        <ows:ServiceType>OGC WMTS</ows:ServiceType>\n        <ows:ServiceTypeVersion>1.0.0</ows:ServiceTypeVersion>\n    </ows:ServiceIdentification>\n    <ows:OperationsMetadata>\n        <ows:Operation name=\"GetCapabilities\">\n            <ows:DCP>\n                <ows:HTTP>\n                    <ows:Get xlink:href=\"https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/data/mosaic/ba13fc7947b9b585690d84ee61aaa653/WebMercatorQuad/WMTSCapabilities.xml?api-version=2025-04-30-preview&amp;assets=image&amp;asset_bidx=image%7C1%2C2%2C3&amp;tile_format=png&amp;tile_scale=1&amp;minzoom=7&amp;maxzoom=13\">\n                        <ows:Constraint name=\"GetEncoding\">\n                            <ows:AllowedValues>\n                                <ows:Value>RESTful</ows:Value>\n                            </ows:AllowedValues>\n                        </ows:Constraint>\n                    </ows:Get>\n                </ows:HTTP>\n            </ows:DCP>\n        </ows:Operation>\n        <ows:Operation name=\"GetTile\">\n            <ows:DCP>\n                <ows:HTTP>\n                    <ows:Get xlink:href=\"https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/data/mosaic/ba13fc7947b9b585690d84ee61aaa653/WebMercatorQuad/WMTSCapabilities.xml?api-version=2025-04-30-preview&amp;assets=image&amp;asset_bidx=image%7C1%2C2%2C3&amp;tile_format=png&amp;tile_scale=1&amp;minzoom=7&amp;maxzoom=13\">\n                        <ows:Constraint name=\"GetEncoding\">\n                            <ows:AllowedValues>\n                                <ows:Value>RESTful</ows:Value>\n                            </ows:AllowedValues>\n                        </ows:Constraint>\n                    </ows:Get>\n                </ows:HTTP>\n            </ows:DCP>\n        </ows:Operation>\n    </ows:OperationsMetadata>\n    <Contents>\n    <Layer>\n            <ows:Title></ows:Title>\n            <ows:Identifier>default</ows:Identifier>\n            <ows:Abstract>default</ows:Abstract>\n            <ows:WGS84BoundingBox crs=\"urn:ogc:def:crs:OGC:2:84\">\n                <ows:LowerCorner>-180.0 -85.0511287798066</ows:LowerCorner>\n                <ows:UpperCorner>180.00000000000009 85.0511287798066</ows:UpperCorner>\n            </ows:WGS84BoundingBox>\n            <Style isDefault=\"true\">\n                <ows:Identifier>default</ows:Identifier>\n            </Style>\n            <Format>image/png</Format>\n            <TileMatrixSetLink>\n                <TileMatrixSet>WebMercatorQuad</TileMatrixSet>\n            </TileMatrixSetLink>\n            <ResourceURL format=\"image/png\" resourceType=\"tile\" template=\"https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/data/mosaic/tiles/WebMercatorQuad/{TileMatrix}/{TileCol}/{TileRow}@1x.png?api-version=2025-04-30-preview&amp;assets=image&amp;asset_bidx=image%7C1%2C2%2C3\" />\n        </Layer>\n        <TileMatrixSet>\n            <ows:Identifier>WebMercatorQuad</ows:Identifier>\n            <ows:SupportedCRS>http://www.opengis.net/def/crs/EPSG/0/3857</ows:SupportedCRS>\n            \n                        <TileMatrix>\n                            <ows:Identifier>7</ows:Identifier>\n                            <ScaleDenominator>4367830.18772435</ScaleDenominator>\n                            <TopLeftCorner>-20037508.342789244 20037508.342789244</TopLeftCorner>\n                            <TileWidth>256</TileWidth>\n                            <TileHeight>256</TileHeight>\n                            <MatrixWidth>128</MatrixWidth>\n                            <MatrixHeight>128</MatrixHeight>\n                        </TileMatrix>\n                        <TileMatrix>\n                            <ows:Identifier>8</ows:Identifier>\n                            <ScaleDenominator>2183915.09386217</ScaleDenominator>\n                            <TopLeftCorner>-20037508.342789244 20037508.342789244</TopLeftCorner>\n                            <TileWidth>256</TileWidth>\n                            <TileHeight>256</TileHeight>\n                            <MatrixWidth>256</MatrixWidth>\n                            <MatrixHeight>256</MatrixHeight>\n                        </TileMatrix>\n                        <TileMatrix>\n                            <ows:Identifier>9</ows:Identifier>\n                            <ScaleDenominator>1091957.54693108</ScaleDenominator>\n                            <TopLeftCorner>-20037508.342789244 20037508.342789244</TopLeftCorner>\n                            <TileWidth>256</TileWidth>\n                            <TileHeight>256</TileHeight>\n                            <MatrixWidth>512</MatrixWidth>\n                            <MatrixHeight>512</MatrixHeight>\n                        </TileMatrix>\n                        <TileMatrix>\n                            <ows:Identifier>10</ows:Identifier>\n                            <ScaleDenominator>545978.773465544</ScaleDenominator>\n                            <TopLeftCorner>-20037508.342789244 20037508.342789244</TopLeftCorner>\n                            <TileWidth>256</TileWidth>\n                            <TileHeight>256</TileHeight>\n                            <MatrixWidth>1024</MatrixWidth>\n                            <MatrixHeight>1024</MatrixHeight>\n                        </TileMatrix>\n                        <TileMatrix>\n                            <ows:Identifier>11</ows:Identifier>\n                            <ScaleDenominator>272989.386732772</ScaleDenominator>\n                            <TopLeftCorner>-20037508.342789244 20037508.342789244</TopLeftCorner>\n                            <TileWidth>256</TileWidth>\n                            <TileHeight>256</TileHeight>\n                            <MatrixWidth>2048</MatrixWidth>\n                            <MatrixHeight>2048</MatrixHeight>\n                        </TileMatrix>\n                        <TileMatrix>\n                            <ows:Identifier>12</ows:Identifier>\n                            <ScaleDenominator>136494.693366386</ScaleDenominator>\n                            <TopLeftCorner>-20037508.342789244 20037508.342789244</TopLeftCorner>\n                            <TileWidth>256</TileWidth>\n                            <TileHeight>256</TileHeight>\n                            <MatrixWidth>4096</MatrixWidth>\n                            <MatrixHeight>4096</MatrixHeight>\n                        </TileMatrix>\n                        <TileMatrix>\n                            <ows:Identifier>13</ows:Identifier>\n                            <ScaleDenominator>68247.346683193</ScaleDenominator>\n                            <TopLeftCorner>-20037508.342789244 20037508.342789244</TopLeftCorner>\n                            <TileWidth>256</TileWidth>\n                            <TileHeight>256</TileHeight>\n                            <MatrixWidth>8192</MatrixWidth>\n                            <MatrixHeight>8192</MatrixHeight>\n                        </TileMatrix>\n        </TileMatrixSet>\n    </Contents>\n    <ServiceMetadataURL xlink:href=\"https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/data/mosaic/ba13fc7947b9b585690d84ee61aaa653/WebMercatorQuad/WMTSCapabilities.xml?api-version=2025-04-30-preview&amp;assets=image&amp;asset_bidx=image%7C1%2C2%2C3&amp;tile_format=png&amp;tile_scale=1&amp;minzoom=7&amp;maxzoom=13\" />\n</Capabilities>"

정의

Name Description
Azure.Core.Foundations.Error

오류 개체입니다.

Azure.Core.Foundations.ErrorResponse

오류 세부 정보가 포함된 응답입니다.

Azure.Core.Foundations.InnerError

오류에 대한 보다 구체적인 정보를 포함하는 개체입니다. Azure REST API 지침에 따라 - https://aka.ms/AzureRestApiGuidelines#handling-errors.

ColorMapNames

데이터 시각화를 위한 사용 가능한 색상 지도

Resampling

다양한 해상도에서 소스 래스터 데이터를 읽을 때 사용할 리샘플링 알고리즘

TerrainAlgorithm

지형 및 인덱스 기반 분석을 위한 지원 알고리즘

TilerImageFormat

타일 및 이미지 요청에 대한 이미지 형식 지정자

Azure.Core.Foundations.Error

오류 개체입니다.

Name 형식 Description
code

string

서버에서 정의한 오류 코드 집합 중 하나입니다.

details

Azure.Core.Foundations.Error[]

이 보고된 오류로 이어진 특정 오류에 대한 세부 정보 배열입니다.

innererror

Azure.Core.Foundations.InnerError

오류에 대한 현재 개체보다 더 구체적인 정보를 포함하는 개체입니다.

message

string

사람이 읽을 수 있는 오류 표현입니다.

target

string

오류의 대상입니다.

Azure.Core.Foundations.ErrorResponse

오류 세부 정보가 포함된 응답입니다.

Name 형식 Description
error

Azure.Core.Foundations.Error

오류 개체입니다.

Azure.Core.Foundations.InnerError

오류에 대한 보다 구체적인 정보를 포함하는 개체입니다. Azure REST API 지침에 따라 - https://aka.ms/AzureRestApiGuidelines#handling-errors.

Name 형식 Description
code

string

서버에서 정의한 오류 코드 집합 중 하나입니다.

innererror

Azure.Core.Foundations.InnerError

내부 오류입니다.

ColorMapNames

데이터 시각화를 위한 사용 가능한 색상 지도

Description
accent

악센트 컬러맵 - 뚜렷한 색상을 가진 질적 컬러맵

accent_r

역방향 악센트 컬러맵

afmhot

Afmhot 컬러맵 - 순차적인 검정-빨강-노랑-흰색 컬러맵

afmhot_r

역방향 afmhot 컬러맵

ai4g-lulc

좋은 토지 이용/토지 피복 색상지도를 위한 AI

alos-fnf

ALOS 숲/비숲 색상지도

alos-palsar-mask

ALOS PALSAR 마스크 컬러맵

autumn

가을 색상지도 - 순차적인 빨강-주황-노랑 색상지도

autumn_r

역방향 가을 색채지도

binary

이진 컬러맵 - 간단한 흑백 컬러맵

binary_r

역방향 이진 색상맵

blues

파란색 색상지도 - 순차적으로 흰색에서 짙은 파란색

blues_r

역방향 블루스 컬러맵

bone

본 컬러맵 - 약간의 파란색 빛이 도는 회색 스케일

bone_r

역방향 뼈 색상지도

brbg

BrBG 색상지도 - 갈색에서 청록색으로 분기됨

brbg_r

역방향 BrBG 컬러맵

brg

BrG 색상지도 - 갈색에서 초록색으로 분기하는 것

brg_r

역방향 BrG 컬러맵

bugn

BuGn 색상지도 - 순차적인 흰색에서 짙은 녹색

bugn_r

역방향 BuGn 색상지도

bupu

BuPu 컬러맵 - 순차적으로 흰색에서 짙은 보라색

bupu_r

역방향 BuPu 컬러맵

bwr

BWR 색상지도 - 파란색에서 빨간색으로 분기됨

bwr_r

역방향 BWR 컬러맵

c-cap

C-CAP 컬러맵 - 토지 피복 분류

cfastie

Cfastie 컬러맵 - 고대비 컬러맵

chesapeake-lc-13

체서피크 육지 덮개 13급 컬러맵

chesapeake-lc-7

체서피크 육지 덮개 7등급 컬러 맵

chesapeake-lu

체서피크 토지 이용 색상지도

chloris-biomass

클로리스 바이오매스 컬러맵

cividis

시비디스 컬러맵 - 노란색에서 파란색으로 순차적으로

cividis_r

역방향 시민 컬러맵

cmrmap

CMRmap 컬러맵 - 지각적으로 균일한 컬러맵

cmrmap_r

역방향 CMRmap 컬러맵

cool

멋진 컬러맵 - 시퀀셜 시안에서 마젠타

cool_r

역방향 쿨 컬러맵

coolwarm

쿨웜 컬러맵 - 파란색에서 빨간색으로 분기하는 것

coolwarm_r

역방향 쿨웜 컬러맵

copper

구리 컬러맵 - 순차적인 검은색에서 구리

copper_r

역방향 구리 컬러맵

cubehelix

Cubehelix 컬러맵 - 색조 회전 가능한 순차적 흑백

cubehelix_r

역방향 큐브헬릭스 컬러맵

dark2

Dark2 컬러맵 - 뚜렷한 색상을 가진 질적 컬러맵

dark2_r

역방향 다크2 컬러맵

drcog-lulc

DRCog 토지 이용/토지 피복 색상지도

esa-cci-lc

ESA CCI 토지 피복 색상지도

esa-worldcover

ESA 월드커버 컬러맵

flag

플래그 컬러맵 - 뚜렷한 색상을 가진 질적 컬러맵

flag_r

반전 깃발 색상지도

gap-lulc

GAP 토지 이용/토지 피복 색상지도

gist_earth

Gist_earth 컬러맵 - 지각적으로 균일한 컬러맵

gist_earth_r

역gist_earth 컬러맵

gist_gray

Gist_gray 컬러맵 - 그레이스케일 컬러맵

gist_gray_r

역gist_gray 컬러맵

gist_heat

Gist_heat 컬러맵 - 순차적인 검정-빨강-노랑-흰색 컬러맵

gist_heat_r

역방향 gist_heat 컬러맵

gist_ncar

Gist_ncar 컬러맵 - 지각적으로 균일한 컬러맵

gist_ncar_r

역gist_ncar 컬러맵

gist_rainbow

Gist_rainbow 컬러맵 - 지각적으로 균일한 컬러맵

gist_rainbow_r

역방향 gist_rainbow 컬러맵

gist_stern

Gist_stern 컬러맵 - 지각적으로 균일한 컬러맵

gist_stern_r

역gist_stern 컬러맵

gist_yarg

Gist_yarg 컬러맵 - 그레이스케일 컬러맵

gist_yarg_r

역방향 gist_yarg 컬러맵

gnbu

GnBu 색상지도 - 순차적인 흰색에서 짙은 청록색

gnbu_r

역방향 GnBu 컬러맵

gnuplot

그뉴플롯 컬러맵 - 색조 회전이 적용된 순차적인 흑백

gnuplot2

Gnuplot2 컬러맵 - 색조 회전 적용 시 순차적인 검정에서 흰색 변환

gnuplot2_r

역방향 gnuplot2 컬러맵

gnuplot_r

역방향 그누플론 색상지도

gray

회색 컬러맵 - 그레이스케일 컬러맵

gray_r

역회색 컬러맵

greens

녹색 색상지도 - 순차적으로 흰색에서 짙은 녹색

greens_r

역방향 녹색 색상지도

greys

회색 색상지도 - 순차적인 흰색에서 짙은 회색

greys_r

역방향 회색 컬러맵

hot

핫 컬러맵 - 순차적인 검정-빨강-노랑-흰색 컬러맵

hot_r

역방향 핫 컬러 맵

hsv

HSV 컬러맵 - 색조-채도-값 컬러맵

hsv_r

역방향 HSV 컬러맵

inferno

인페르노 컬러맵 - 순차적 검정에서 노란색 컬러맵

inferno_r

역방향 지옥 색상지도

io-bii

IO-BII 컬러맵 - 생물다양성 지수 컬러맵

io-lulc

IO-LULC 컬러맵 - 토지 이용/토지 피복 컬러맵

io-lulc-9-class

IO-LULC 9클래스 컬러맵

jet

제트 색상지도 - 순차적인 청록-녹색-노란-빨강 색상지도

jet_r

역방향 제트 색상맵

jrc-change

JRC 색상맵 변경

jrc-extent

JRC 범위 색상지도

jrc-occurrence

JRC 발생 색상지도

jrc-recurrence

JRC 재발 색상지도

jrc-seasonality

JRC 계절성 색상지도

jrc-transitions

JRC 전이 컬러맵

lidar-classification

라이다 분류 컬러맵

lidar-hag

라이다 지상 높이 컬러맵

lidar-hag-alternative

대체 라이다 지상 높이 컬러맵

lidar-intensity

라이다 강도 컬러맵

lidar-returns

라이다가 컬러맵을 반환합니다

magma

마그마 컬러맵 - 순차적인 검정에서 노란색 컬러맵

magma_r

역마그마 컬러맵

modis-10A1

MODIS 10A1 컬러맵

modis-10A2

MODIS 10A2 컬러맵

modis-13A1|Q1

MODIS 13A1|Q1 컬러맵

modis-14A1|A2

MODIS 14A1|A2 컬러맵

modis-15A2H|A3H

MODIS 15A2H|A3H 컬러맵

modis-16A3GF-ET

MODIS 16A3GF-ET 컬러맵

modis-16A3GF-PET

MODIS 16A3GF-PET 컬러맵

modis-17A2H|A2HGF

MODIS 17A2H|A2HGF 컬러맵

modis-17A3HGF

MODIS 17A3HGF 컬러맵

modis-64A1

MODIS 64A1 컬러맵

mtbs-severity

MTBS 심각도 색상맵

nipy_spectral

Nipy_spectral 컬러맵 - 지각적으로 균일한 컬러맵

nipy_spectral_r

역nipy_spectral 컬러맵

nrcan-lulc

NRCAN 토지 이용/토지 피복 색상지도

ocean

Ocean 컬러맵 - 순차적인 파란색에서 흰색 컬러맵

ocean_r

역방향 해양 색상지도

oranges

오렌지 색상지도 - 순차적으로 흰색에서 짙은 주황색

oranges_r

역방향 오렌지 색상지도

orrd

OrRd 컬러맵 - 순차적인 흰색부터 짙은 빨강-주황색

orrd_r

역방향 OrRd 색상맵

paired

쌍 컬러맵 - 뚜렷한 색상을 가진 질적 컬러맵

paired_r

역전된 쌍 컬러맵

pastel1

Pastel1 컬러맵 - 파스텔 색상이 포함된 질적 컬러맵

pastel1_r

역방향 파스텔1 컬러맵

pastel2

Pastel2 컬러맵 - 파스텔 색상이 포함된 질적 컬러맵

pastel2_r

역방향 파스텔2 컬러맵

pink

분홍색 색상지도 - 순차적으로 흰색에서 진한 분홍색

pink_r

역분홍색 컬러맵

piyg

PiYG 컬러맵 - 분홍색에서 초록색으로 분기하는 것

piyg_r

역방향 PiYG 컬러맵

plasma

플라즈마 컬러맵 - 순차적 검은색에서 노란색 컬러맵

plasma_r

역방향 플라즈마 컬러맵

prgn

PRGn 색상지도 - 보라색에서 초록색으로 분기됨

prgn_r

역방향 PRGn 컬러맵

prism

프리즘 컬러맵 - 뚜렷한 색상을 가진 질적 컬러맵

prism_r

역프리즘 컬러맵

pubu

PuBu 색상지도 - 순차적인 흰색에서 짙은 파란색

pubu_r

역방향 푸부 색상지도

pubugn

PuBuGn 색상지도 - 순차적인 흰색에서 짙은 청록색

pubugn_r

역방향 PuBuGn 색상지도

puor

PuOr 색상지도 - 보라색에서 주황색으로 분기됨

puor_r

역방향 PuOr 컬러맵

purd

PuRd 컬러맵 - 순차적인 흰색에서 짙은 보라-빨간색

purd_r

역방향 PuRd 컬러맵

purples

보라색 색상지도 - 순차적으로 흰색에서 진한 보라색

purples_r

역방향 보라색 색상지도

qpe

QPE 컬러맵 - 뚜렷한 색상을 가진 질적 컬러맵

rainbow

레인보우 컬러맵 - 뚜렷한 색상을 가진 질적 컬러맵

rainbow_r

역방향 무지개 컬러맵

rdbu

RdBu 컬러맵 - 빨간색에서 파란색으로 분기됨

rdbu_r

역방향 RdBu 컬러맵

rdgy

RdGy 컬러맵 - 빨간색에서 회색으로 분기됨

rdgy_r

역방향 RdGy 컬러맵

rdpu

RdPu 컬러맵 - 순차적으로 흰색에서 짙은 빨간색-보라색

rdpu_r

역방향 RdPu 컬러맵

rdylbu

RdYlBu 색상지도 - 빨간색에서 노란색, 파란색으로 분기됨

rdylbu_r

역방향 RdYlBu 컬러맵

rdylgn

RdYlGn 색상지도 - 빨간색에서 노란색, 초록색으로 분기됨

rdylgn_r

역방향 RdYlGn 색상지도

reds

빨간색 색상지도 - 순차적으로 흰색에서 짙은 빨간색

reds_r

역방향 빨강 컬러맵

rplumbo

Rplumbo 컬러맵 - 뚜렷한 색상을 가진 질적 컬러맵

schwarzwald

슈바르츠발트 컬러맵 - 뚜렷한 색상을 가진 질적 컬러맵

seismic

지진 색상지도 - 파란색에서 빨간색으로 분기됨

seismic_r

역방향 지진 컬러 맵

set1

Set1 컬러맵 - 뚜렷한 색상을 가진 질적 컬러맵

set1_r

역방향 set1 컬러맵

set2

Set2 컬러맵 - 뚜렷한 색상을 가진 질적 컬러맵

set2_r

역방향 set2 컬러맵

set3

Set3 컬러맵 - 뚜렷한 색상을 가진 정성적 컬러맵

set3_r

뒤집힌 set3 컬러맵

spectral

스펙트럼 컬러맵 - 빨간색에서 노란색, 파란색으로 분기됨

spectral_r

역방향 스펙트럼 컬러맵

spring

봄 색상지도 - 순차적인 마젠타에서 노란색

spring_r

역방향 스프링 색상지도

summer

여름 색상지도 - 순차적인 녹색에서 노란색

summer_r

역방향 여름 컬러맵

tab10

Tab10 컬러맵 - 뚜렷한 색상을 가진 질적 컬러맵

tab10_r

역방향 tab10 컬러맵

tab20

Tab20 컬러맵 - 뚜렷한 색상을 가진 질적 컬러맵

tab20_r

역방향 tab20 컬러맵

tab20b

Tab20b 컬러맵 - 뚜렷한 색상을 가진 질적 컬러맵

tab20b_r

역방향 tab20b 컬러맵

tab20c

Tab20c 컬러맵 - 뚜렷한 색상을 가진 질적 컬러맵

tab20c_r

역방향 tab20c 컬러맵

terrain

지형 컬러맵 - 색조 회전 가능한 순차적인 흑백

terrain_r

역방향 지형 색상지도

twilight

트와일라잇 컬러 맵 - 파란색에서 빨간색으로 분기됨

twilight_r

역방향 트와일라잇 컬러맵

twilight_shifted

트와일라잇 색상지도 변함 - 파란색에서 빨간색으로 갈라짐

twilight_shifted_r

역방향 트와일라잇 이동 컬러맵

usda-cdl

USDA CDL 컬러맵 - 토지 피복 분류

usda-cdl-corn

USDA CDL 옥수수 색상지도

usda-cdl-cotton

USDA CDL 면화 색상지도

usda-cdl-soybeans

USDA CDL 대두 색상지도

usda-cdl-wheat

USDA CDL 밀 색상지도

usgs-lcmap

USGS LCMAP 컬러맵

viirs-10a1

VIIRS 10A1 컬러맵

viirs-13a1

VIIRS 13A1 컬러맵

viirs-14a1

VIIRS 14A1 컬러맵

viirs-15a2H

VIIRS 15A2H 컬러맵

viridis

Viridis 컬러맵 - 순차적인 검정색에서 노란색 컬러맵

viridis_r

역방향 viridis 색상지도

winter

겨울 색상지도 - 순차적인 파란색에서 녹색

winter_r

역방향 겨울 색상지도

wistia

위스티아 컬러맵 - 순차적으로 흰색에서 노란색

wistia_r

역방향 위스티아 색상지도

ylgn

YlGn 컬러맵 - 순차적인 흰색부터 짙은 녹색까지입니다

ylgn_r

역방향 YlGn 색상지도

ylgnbu

YlGnBu 색상지도 - 순차적으로 흰색에서 짙은 청록색

ylgnbu_r

역방향 YlGnBu 컬러맵

ylorbr

YlOrBr 컬러맵 - 순차적인 흰색에서 짙은 주황-갈색

ylorbr_r

역방향 YlOrBr 컬러맵

ylorrd

YlOrRd 컬러맵 - 순차적인 흰색에서 짙은 적강-주황색

ylorrd_r

역방향 YlOrRd 색상맵

Resampling

다양한 해상도에서 소스 래스터 데이터를 읽을 때 사용할 리샘플링 알고리즘

Description
nearest

최근접 이웃 - 가장 가까운 픽셀 값을 선택하는 가장 빠른 방법

bilinear

바이리니어 보간 - 2x2 입력 셀의 가중 평균을 사용하여 출력 값을 계산합니다

cubic

세그곱 보간 - 4x4 입력 셀의 가중 평균을 사용하여 더 부드러운 결과를 제공합니다

cubic_spline

세브빅 스플라인 보간 - 세브빅과 비슷하지만 가장자리를 더 잘 보존합니다

lanczos

Lanczos 윈도우 sinc 재샘플링 - 최소한의 아티팩트와 고화질

average

평균 재샘플링 - 모든 기여 픽셀의 평균을 계산합니다

mode

모드 리샘플링 - 기여하는 픽셀 중에서 가장 흔한 값을 선택합니다

gauss

가우시안 가중 재샘플링 - 기여하는 픽셀에 가우시안 가중치를 적용합니다

rms

평균평균근 재샘플링 - 오차 또는 편차 격자 재샘플링에 유용하다

TerrainAlgorithm

지형 및 인덱스 기반 분석을 위한 지원 알고리즘

Description
hillshade

고도 데이터를 활용해 힐쉐이드 시각화를 생성합니다

contours

고도 등고선 생성

normalizedIndex

밴드 간 정규화 차분지수를 계산합니다

terrarium

Mapbox 테라리움 RGB 형식으로 고도 데이터를 인코딩합니다

terrainrgb

Mapbox TerrainRGB 형식으로 고도 데이터를 인코딩합니다

TilerImageFormat

타일 및 이미지 요청에 대한 이미지 형식 지정자

Description
png

Portable Network Graphics 형식 - 투명도 지원

npy

원시 데이터 액세스를 위한 NumPy 배열 형식

tif

지리적으로 참조된 래스터 데이터에 대한 GeoTIFF 형식

jpeg

JPEG 형식 - 파일 크기는 작지만 압축 손실이 있습니다.

jpg

JPEG 형식의 대체 확장

jp2

JPEG 2000 형식 - 손실 압축과 무손실 압축을 모두 지원합니다.

webp

WebP 형식 - 압축이 좋은 최신 이미지 형식

pngraw

처리되지 않은 데이터에 액세스하기 위한 원시 PNG 형식